(function () {
    CKEDITOR.plugins.add('bs_tooltip', {
        requires: 'widget,dialog',
        icons: 'bstooltip',
        init: function (editor) {
            CKEDITOR.dialog.add('bs_tooltip', this.path + 'dialogs/bs_tooltip.js');

            // Add widget.
            editor.ui.addButton('bs_tooltip', {
                label: "Add Tooltip",
                command: 'bs_tooltip',
                icon: this.path + 'icons/bs_tooltip.png'
            });

            editor.widgets.add('bs_tooltip', {
                dialog: 'bs_tooltip',
                init: function () {},
                template: '<span class="bs_tooltip" data-toggle="tooltip" data-placement="top" title="">' +
                          '<span class="text"></span>' +
                          '</span>',
                data: function () {
                  var $el = jQuery(this.element.$);
                  if (this.data.tooltip) {
                    $el.attr('title', this.data.tooltip);
                  }
                  if (this.data.text) {
                    jQuery('.text', $el).text(this.data.text);
                  }
                },

                allowedContent: 'p',
                requiredContent: 'span.bs_tooltip',
                upcast: function (element) {
                    return element.name == 'span.bs_tooltip';
                }
            });
        }
    });

})();
