<?php

namespace Drupal\ckeditor_bs_tooltip\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "CKEditorBsTooltip" plugin.
 *
 * @CKEditorPlugin(
 *   id = "bs_tooltip",
 *   label = @Translation("CKEditor Tooltip"),
 *   module = "ckeditor_bs_tooltip"
 * )
 */
class CKEditorBsTooltip extends CKEditorPluginBase {

  /**
   * Implements \Drupal\ckeditor\Plugin\CKEditorPluginInterface::getFile().
   */
  public function getFile() {
    return \Drupal::moduleHandler()->getModule('ckeditor_bs_tooltip')->getPath() . '/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function isInternal() {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [
      'bs_tooltip' => [
        'label' => t('Add Tooltip'),
        'image' => \Drupal::moduleHandler()->getModule('ckeditor_bs_tooltip')->getPath() . '/icons/bs_tooltip.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
